Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.vfs
Class ZipFile

    java.lang.Object
      org.jboss.errai.reflections.vfs.ZipFile

All Implemented Interfaces:
  Vfs.File

    public class ZipFile

extends java.lang.Object
implements Vfs.File

an implementation of `Vfs.File` for `ZipEntry`

Constructor Summary
`ZipFile(ZipDir dir, java.util.zip.ZipEntry entry)`

Method Summary
`java.lang.String` | `getFullPath()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getRelativePath()`
`java.io.InputStream` | `openInputStream()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZipFile

    public ZipFile(ZipDir dir,
                   java.util.zip.ZipEntry entry)

Method Detail

### getFullPath

    public java.lang.String getFullPath()

  Specified by:
    `getFullPath` in interface `Vfs.File`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Vfs.File`

### getPath

    public java.lang.String getPath()

### getRelativePath

    public java.lang.String getRelativePath()

  Specified by:
    `getRelativePath` in interface `Vfs.File`

### openInputStream

    public java.io.InputStream openInputStream()
                                        throws java.io.IOException

  Specified by:
    `openInputStream` in interface `Vfs.File`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.